/***************************** LICENSE START ***********************************

 Copyright 2012 ECMWF and INPE. This software is distributed under the terms
 of the Apache License version 2.0. In applying this license, ECMWF does not
 waive the privileges and immunities granted to it by virtue of its status as
 an Intergovernmental Organization or submit itself to any jurisdiction.

 ***************************** LICENSE END *************************************/

#include <QDebug>

#include "MvQPlaceMarkMimeData.h"

bool MvQPlaceMarkMimeData::hasFormat ( const QString & mimeType ) const
{	
	if(mimeType == "metview/mvplacemark")	
		return true;
	else
		return QMimeData::hasFormat(mimeType);
}

QStringList MvQPlaceMarkMimeData::formats () const
{
	return QStringList("metview/mvplacemark");  //QMimeData::formats();
}

QVariant MvQPlaceMarkMimeData::retrieveData(const QString& /*mimeType*/,QVariant::Type /*type*/) const
{
	return QVariant();
}
